Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.acegisecurity
Interface AuthenticationTrustResolver

All Known Implementing Classes:
  AuthenticationTrustResolverImpl

    public interface AuthenticationTrustResolver

Evaluates `Authentication` tokens

Version:
  $Id: AuthenticationTrustResolver.java,v 1.2 2005/11/17 00:55:49 benalex Exp $
Author:
  Ben Alex

Method Summary
`boolean` | `isAnonymous(Authentication authentication)` Indicates whether the passed `Authentication` token represents an anonymous user.
`boolean` | `isRememberMe(Authentication authentication)` Indicates whether the passed `Authentication` token represents user that has been remembered (ie not a user that has been fully authenticated).

Method Detail

### isAnonymous

    boolean isAnonymous(Authentication authentication)

  Indicates whether the passed `Authentication` token represents an anonymous user. Typically the framework will call this method if it is trying to decide whether an `AccessDeniedException` should result in a final rejection (ie as would be the case if the principal was non-anonymous/fully authenticated) or direct the principal to attempt actual authentication (ie as would be the case if the `Authentication` was merely anonymous).

  Parameters:
    `authentication` - to test (may be `null` in which case the method will always return `false`)
  Returns:
    `true` the passed authentication token represented an anonymous principal, `false` otherwise

### isRememberMe

    boolean isRememberMe(Authentication authentication)

  Indicates whether the passed `Authentication` token represents user that has been remembered (ie not a user that has been fully authenticated).

  No part of the framework uses this method, as it is a weak definition of trust levels. The method is provided simply to assist with custom `AccessDecisionVoter`s and the like that you might develop. Of course, you don't need to use this method either and can develop your own "trust level" hierarchy instead.

  Parameters:
    `authentication` - to test (may be `null` in which case the method will always return `false`)
  Returns:
    `true` the passed authentication token represented a principal authenticated using a remember-me token, `false` otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Acegi Technology Pty Limited. All Rights Reserved.